import request from '@/utils/request'

// 查询自动喷淋系统列表
export function listAutosprinkler(query) {
  return request({
    url: '/ehs/autosprinkler/list',
    method: 'get',
    params: query
  })
}

// 查询自动喷淋系统详细
export function getAutosprinkler(id) {
  return request({
    url: '/ehs/autosprinkler/' + id,
    method: 'get'
  })
}

// 新增自动喷淋系统
export function addAutosprinkler(data) {
  return request({
    url: '/ehs/autosprinkler',
    method: 'post',
    data: data
  })
}

// 修改自动喷淋系统
export function updateAutosprinkler(data) {
  return request({
    url: '/ehs/autosprinkler',
    method: 'put',
    data: data
  })
}

// 删除自动喷淋系统
export function delAutosprinkler(id) {
  return request({
    url: '/ehs/autosprinkler/' + id,
    method: 'delete'
  })
}

// 导出自动喷淋系统
export function exportAutosprinkler(query) {
  return request({
    url: '/ehs/autosprinkler/export',
    method: 'get',
    params: query
  })
}

// 批量修改自动喷淋系统
export function batchEdit(data) {
  return request({
    url: '/ehs/autosprinkler/batchEdit',
    method: 'post',
    data: data
  })
}
